Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.sg
Class SGMusicChannel

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.std.comp.ComponentIdentifier
                  |
                  +--quicktime.std.comp.Component
                        |
                        +--quicktime.std.sg.SGChannel
                              |
                              +--quicktime.std.sg.AudioChannel
                                    |
                                    +--quicktime.std.sg.SGMusicChannel

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class SGMusicChannel
extends AudioChannel
implements quicktime.jdirect.QuickTimeLib

Assists in Creating a MIDI Channel.

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Constructor Summary
`SGMusicChannel(SequenceGrabber owner)` Creates a sequence grabber music channel and assigns a channel component to the channel.

Method Summary
`ToneDescription` | `getInstrument()` Gets the Instrument associates with a particular channel.
`MusicDescription` | `getMusicDescription()` This method allows you to retrieve a music sample description from the SGChannel.
`void` | `setInstrument(ToneDescription td)` Sets the Instrument associates with a particular channel.

Methods inherited from class quicktime.std.sg.AudioChannel
`getVolume, setVolume`

Methods inherited from class quicktime.std.sg.SGChannel
`getDataSourceName, getDeviceList, getPlayFlags, getSampleDescription, getSequenceGrabber, getSettings, getTimeScale, getUsage, setDataSourceName, setDevice, setOutput, setPlayFlags, setSettings, settingsDialog, settingsDialog, setUsage`

Methods inherited from class quicktime.std.comp.Component
`count`

Methods inherited from class quicktime.std.comp.ComponentIdentifier
`find, find, getInfo, toString`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SGMusicChannel

    public SGMusicChannel(SequenceGrabber owner)
                   throws StdQTException

  Creates a sequence grabber music channel and assigns a channel component to the channel. The channel component is responsible for providing music data to the sequence grabber component.
  QuickTime::SGNewChannel
Parameters:
  `owner` - specifies the sequence grabber component the channel is attached to.

Method Detail

### getMusicDescription

    public final MusicDescription getMusicDescription()
                                               throws QTException

  This method allows you to retrieve a music sample description from the SGChannel.

  Returns:
    a MusicDescription object.

### getInstrument

    public ToneDescription getInstrument()
                                  throws StdQTException

  Gets the Instrument associates with a particular channel.
  QuickTime::SGGetInstrument

  Parameters:
    `returns` - the Instrument associated with a particuar channel.

### setInstrument

    public void setInstrument(ToneDescription td)
                       throws StdQTException

  Sets the Instrument associates with a particular channel.
  QuickTime::SGSetInstrument

  Parameters:
    `td` - specifies the instrument to set the channel to.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD